Processes - List

获取包括系统和继承在内的所有进程的列表。

GET https://dev.azure.com/{organization}/_apis/work/processes?api-version=7.1
GET https://dev.azure.com/{organization}/_apis/work/processes?$expand={$expand}&api-version=7.1

URI 参数

名称 必需 类型 说明
organization
path True

string

Azure DevOps 组织的名称。

api-version
query True

string

要使用的 API 版本。 这应设置为“7.1”才能使用此版本的 API。

$expand
query

GetProcessExpandLevel

响应

名称 类型 说明
200 OK

ProcessInfo[]

成功操作

安全性

oauth2

类型: oauth2
流向: accessCode
授权 URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
令牌 URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

作用域

名称 说明
vso.work 授予读取工作项、查询、版块、区域和迭代路径以及其他工作项跟踪相关元数据的能力。 此外,还授予执行查询、搜索工作项以及通过服务挂钩接收有关工作项事件的通知的能力。

示例

Get the list of processes

示例请求

GET https://dev.azure.com/{organization}/_apis/work/processes?api-version=7.1

示例响应

{
  "count": 14,
  "value": [
    {
      "typeId": "adcc42ab-9882-485e-a3ed-7678f01f66bc",
      "referenceName": null,
      "name": "Agile",
      "description": "This template is flexible and will work great for most teams using Agile planning methods, including those practicing Scrum.",
      "parentProcessTypeId": "00000000-0000-0000-0000-000000000000",
      "isEnabled": true,
      "isDefault": true,
      "customizationType": "System"
    },
    {
      "typeId": "27450541-8e31-4150-9947-dc59f998fc01",
      "referenceName": null,
      "name": "CMMI",
      "description": "This template is for more formal projects requiring a framework for process improvement and an auditable record of decisions.",
      "parentProcessTypeId": "00000000-0000-0000-0000-000000000000",
      "isEnabled": true,
      "isDefault": false,
      "customizationType": "System"
    },
    {
      "typeId": "6b724908-ef14-45cf-84f8-768b5384da45",
      "referenceName": null,
      "name": "Scrum",
      "description": "This template is for teams who follow the Scrum framework.",
      "parentProcessTypeId": "00000000-0000-0000-0000-000000000000",
      "isEnabled": true,
      "isDefault": false,
      "customizationType": "System"
    },
    {
      "typeId": "e31fd6e1-c6af-44bb-925e-dfa71f551463",
      "referenceName": null,
      "name": "CustomProcess",
      "description": "This template is flexible and will work great for most teams using Agile planning methods, including those practicing Scrum.",
      "parentProcessTypeId": "00000000-0000-0000-0000-000000000000",
      "isEnabled": true,
      "isDefault": false,
      "customizationType": "Inherited"
    }
  ]
}

定义

名称 说明
CustomizationType

指示此工作项的自定义类型。 系统行为继承自父进程,但未修改。 继承的行为是从父进程继承的修改行为。 自定义行为是由用户在当前进程中创建的行为。

GetProcessExpandLevel
ProcessInfo

过程。

ProjectReference

定义项目引用类。

CustomizationType

指示此工作项的自定义类型。 系统行为继承自父进程,但未修改。 继承的行为是从父进程继承的修改行为。 自定义行为是由用户在当前进程中创建的行为。

说明
custom

如果新创建的工作项类型已自定义,则自定义类型为 Custom。

inherited

如果自定义了继承进程的现有工作项类型,则自定义自定义类型。

system

自定义类型为 System(如果系统生成的 workitemtype)。

GetProcessExpandLevel

说明
none

无展开级别。

projects

项目展开级别。

ProcessInfo

过程。

名称 类型 说明
customizationType

CustomizationType

指示此过程的自定义类型。 系统进程是默认进程。 继承的进程是以前系统进程的修改进程。

description

string

过程的说明。

isDefault

boolean

进程默认值。

isEnabled

boolean

是否已启用进程。

name

string

进程的名称。

parentProcessTypeId

string (uuid)

父进程的 ID。

projects

ProjectReference[]

用户订阅到的此过程中的项目。

referenceName

string

进程的引用名称。

typeId

string (uuid)

进程的 ID。

ProjectReference

定义项目引用类。

名称 类型 说明
description

string

项目说明

id

string (uuid)

项目的 ID

name

string

项目的名称

url

string

项目的 URL